
D4Science Infrastructure - Support #4871

Making public some selected pages of Redmine Wiki

Aug 23, 2016 04:15 PM - Leonardo Candela

Status: Closed Start date: Aug 23, 2016

Priority: Normal Due date:  

Assignee: _InfraScience Systems Engineer % Done: 100%

Category: Application Estimated time: 0.00 hour

Infrastructure: Production   

Description

We need to make "public" (read-only) some selected pages of some Redmine projects (projects have to remain private, we do not

want to "open" the entire content). 

E.g. the following page should be "public" (read-only) https://support.d4science.org/projects/bluebridge/wiki/Blue_Assessment while

blubridge project shall remain "non public". 

We need to find a solution since these pages are used to implement "public" deliverables.  

Some (not encouraging and quite old) discussions are here: 

http://www.redmine.org/boards/2/topics/27167

http://www.redmine.org/issues/1086

History

#1 - Aug 27, 2016 03:16 PM - Luca Frosini

- Status changed from New to Feedback

AFAIK this is not feasible without a plugin (if any).

#2 - Sep 01, 2016 08:00 PM - Andrea Dell'Amico

On the OpenAire redmine instance we worked around a similar need creating a public (sub)project that only hosts a wiki. Still editable by the

authorized users only, but visible to all.

Is it a viable option?

#3 - Sep 20, 2016 03:54 PM - Leonardo Candela

- Status changed from Feedback to Closed

- % Done changed from 0 to 100

Since now the entire BlueBRIDGE Wiki is public thanks to @pasquale.pagano@isti.cnr.it  
